<?php	


//ini_set('display_errors',1);
require_once ("../../config/Cado.php");
session_start();
require_once ("../preciogestion/cPreciogestion.php");
$oPreciogestion = new cPreciogestion();
require_once ("../gestionprecio/cGestionprecio.php");
$oGestionprecio= new cGestionprecio();
require_once("../preciogestion/cPrecioproducto.php");
$oPrecioproducto = new cPrecioproducto();
require_once ("../historial/cHistorial.php");
$oHistorial = new cHistorial();
require_once("../formatos/formato.php");


if($_POST["act"]=="seleccionartodo"){
	
	$dts1 = $oGestionprecio->mostrarPuntoVenta();
	$numrows1 = mysqli_num_rows($dts1);
	while($dt=mysqli_fetch_array($dts1)){
		$_SESSION["punvent_id"][$dt['tb_puntoventa_id']] = $dt['tb_puntoventa_id'];
	}	
	$data["gespre_est"] = 1;
	$data["gespre_msj"] = "Todos los puntos de venta seleccionados.";
	echo json_encode($data);
}


if($_POST["act"]=="restablecer"){
	unset($_SESSION["punvent_id"]);
	$data["gespre_est"] = 1;
	$data["gespre_msj"] = "Restablecido.";
	echo json_encode($data);
}



if($_POST["act"]=="seleccionarpuntoventa"){

$punvent_id = $_POST['punvent_id'];	
if($_POST['check']=="0"){
unset($_SESSION["punvent_id"][$punvent_id]);
	
}else if($_POST['check']=="1"){
$_SESSION["punvent_id"][$punvent_id] = $punvent_id;	
}

}



if($_POST["action"]=="traerPreciopincipal"){
	
	
	
	$dtspre = $oPreciogestion->mostrar_precioxpuntoventa($_POST['cat_id'],'1');		
	$numrowspre = mysqli_num_rows($dtspre);
					
	$dtp = mysqli_fetch_array($dtspre);
	$prevenf = $dtp['tb_precioproducto_prevenf'];
	$preven = $dtp['tb_precioproducto_preven'];
	$precos = $dtp['tb_precioproducto_precom'];
	
	$data["gespre_precos"] = formato_money($precos);	
	
	echo json_encode($data);
}





if($_POST["action"]=="insertar"){
	
	
	if(moneda_mysql($_POST['txt_gespre_pro_preven'])<=moneda_mysql($_POST['txt_gespre_pro_precos'])){
		$data["gespre_est"] = 0;
		$data["gespre_msj"] = "El precio de venta debe ser mayor al precio de costo.";	
	}else{
	
	if(isset($_SESSION['punvent_id'])){
		$punven_count= count($_SESSION['punvent_id']);
	}else{
		$punven_count= 0;
	}
	
	
	
	if($punven_count>0){
		
		
		
		foreach($_SESSION['punvent_id'] as $indice=>$punven_id) {
		
		
		
			$dtspre = $oPreciogestion->mostrar_precioxpuntoventa($_POST['hdd_cat_id'],$punven_id);		
			$numrowpre = mysqli_num_rows($dtspre);
		
			if($numrowpre>0){
				
				$dtp = mysqli_fetch_array($dtspre);
				$prepro_id = $dtp['tb_precioproducto_id'];
				$preven = $dtp['tb_precioproducto_preven'];
		$prevenf = $dtp['tb_precioproducto_prevenf'];
		$precos = $dtp['tb_precioproducto_precom'];
		$pronom = $dtp['tb_producto_nom'];
		
		
		
	
				if($_POST['txt_gespre_pro_preven']!=""){
				$oPrecioproducto->modificar_campo($prepro_id,'preven',moneda_mysql($_POST['txt_gespre_pro_preven']));
				}

				if($_POST['txt_gespre_pro_prevenf']!=""){
				$oPrecioproducto->modificar_campo($prepro_id,'prevenf',moneda_mysql($_POST['txt_gespre_pro_prevenf']));
				}
				
				if($_POST['txt_gespre_pro_bon']!=""){
				$oPrecioproducto->modificar_campo($prepro_id,'bon',moneda_mysql($_POST['txt_gespre_pro_bon']));
				}
				
			$det = 'GESTION DE PRECIOS :: ACTUALIZADO '.$pronom.' [ANTES | '.$precos.' - '.$preven.' - '.$prevenf.'] [ DESPUES | '.$precos.' - '.$_POST['txt_gespre_pro_preven'].' - '.$_POST['txt_gespre_pro_prevenf'].'] PUNTO VENTA = '.$punven_id;
	
	        	$user_agen = $_SERVER['HTTP_USER_AGENT'];;
        		$mod = 67;
        		$mod_ide = 0;
        		$fec = date('Y-m-d');
        		$doc_id = 0;
        		$numdoc = '';
        		$ip = mostrar_ip();
        	 	
        		$oHistorial->insertar(
        		fecha_mysql($fec),
        		$det,
        		$ip,
        		$_SESSION['usuario_id'],
        		$mod,
        		$mod_ide,
        		$doc_id,
        		$numdoc
        		);
	
	
	
				
			}else{
				
					$oPrecioproducto->insertar($_POST['hdd_cat_id'],$punven_id,moneda_mysql($_POST['txt_gespre_pro_preven']),
					moneda_mysql($_POST['txt_gespre_pro_prevenf']),moneda_mysql($_POST['txt_gespre_pro_precos']),moneda_mysql($_POST['txt_gespre_pro_bon']));
				
			}


		
		}
		
		
		
		$dts1 = $oGestionprecio->mostrarPuntoVenta();
		$numrows1 = mysqli_num_rows($dts1);
		while($dt=mysqli_fetch_array($dts1)){
			
			
			$dtspre = $oPreciogestion->mostrar_precioxpuntoventa($_POST['hdd_cat_id'],$dt['tb_puntoventa_id']);		
			$numrowpre = mysqli_num_rows($dtspre);
		
			if($numrowpre>0){
				
				$dtp = mysqli_fetch_array($dtspre);
				$prepro_id = $dtp['tb_precioproducto_id'];
			
				if($_POST['txt_gespre_pro_precos']!=""){
					$oPrecioproducto->modificar_campo($prepro_id,'precom',moneda_mysql($_POST['txt_gespre_pro_precos']));	
				}
			
			}
			
			
			
			
		}	
				
				
		
		
		unset($_SESSION["punvent_id"]);
		
		
		
		
	$data["gespre_est"] = 1;
	$data["gespre_msj"] = "Datos modificados correctamente.";
		
	}else{
		$data["gespre_est"] = 0;
		$data["gespre_msj"] = "Debe seleccionar al menos una sucursal.";	
	}
	
	}
	
	
	echo json_encode($data);
}


?>